# Changelog

Project follows Semantic Versioning.

## [Unreleased]

## 1.2.2 – 2017-03-07
### Fixes
- Vertical segments retain padding even when being first or last.
- Coloured vertical segments don't have a coloured border anymore.
- Coloured headers now get proper dividing lines.

## 1.2.1 – 2017-03-02
- Update to Semantic UI 2.2.9

## 1.2.0 – 2017-02-07
### New
- Global classes to hide or show elements depending on device width.
- Typographic rules scoped under `.ta` – like `.ta.lead` for leads, `.ta.author` for bylines.
- `.ui.padded.segment` is now aliased under `.ui.relaxed.segment`, in case you forgot it was called «padded». (Which happens to me a lot.)
- Text in `.ui.text.container` is now being hyphenated.

### Fixed
- Grids are now no bigger than the screen width – this resolves the weird issue where scrolling sideways was possible
- Inverted text is now rendered with a different antialiasing algorithm to look more crisp (especially for Benton Cond Black).


## 1.1.1 – 2017-01-23 [Only as @next version]
### Changed
- Scaling of header sizes has been toned down, so the biggest titles aren't as big anymore.

## 1.1.0 – 2016-11-28
### Changed
- Breakpoints are now at 600px, 900px and 1200px; according to [this article][1].
This means that all containers in an article can now be targeted specifically.
- `.ui.container` will now fluidly extend to the full extent of the page up 
to a width of 1200px. As opposed to `.ui.fluid.container`, it will have a 
margin, though.

[1]: https://medium.freecodecamp.com/the-100-correct-way-to-do-css-breakpoints-88d6a5ba1862#.i48e2ocup

## 1.0.11 – 2016-11-16
### Changed
- Attached segments are now clearly visible as segments/boxes – without the borders.

### Fix
- Made the light grey segment a lighter shade of grey.
- Removed the min-width for the `body` element.

## 1.0.10 – 2016-10-20
### New
- Add readme and changelog.

### Changes
- Slightly larger base font size, based on the standard tagesanzeiger.ch font
 size.
- Updated social button brand colours to be the same as the colours of 
sharing buttons on tagesanzeiger.ch.

## 1.0.9 – 2016-10-19

- Updated button styling to conform to the art direction. Standard buttons 
now use blue text to denote interactivity; basic buttons will be styled as 
"text links" and only get a button shape upon hovering.